package com.ynet.life.sujrb.action;

import com.ynet.gene.core.Context;
import com.ynet.gene.core.GENEException;
import com.ynet.gene.data.IndexedCollection;
import com.ynet.gene.data.KeyedCollection;
import com.ynet.life.base.LifeAction;
import com.ynet.life.base.Trace;
import com.ynet.life.exception.TranFailException;
import java.text.ParseException;
import java.text.SimpleDateFormat;

/* loaded from: com_ynet_life_sujrb_action.jar:com/ynet/life/sujrb/action/RentOverDueAction.class */
public class RentOverDueAction extends LifeAction {
    private String iCollName;
    private String repaymentDate;
    private String billDate;

    public String execute(Context context) throws GENEException {
        try {
            int overDueDaySum = 0;
            IndexedCollection icoll = context.getDataElement(this.iCollName);
            if (icoll.size() == 0) {
                return "0";
            }
            SimpleDateFormat sdf = new SimpleDateFormat("yyyyMMdd");
            for (int i = 0; i < icoll.size(); i++) {
                KeyedCollection kcoll = icoll.getElementAt(i);
                String rd = (String) kcoll.get(this.repaymentDate);
                String bd = (String) kcoll.get(this.billDate);
                String rd2 = rd.replaceAll("-", "");
                if (bd != null && !"".equals(bd)) {
                    try {
                        long bd2 = sdf.parse(bd.replaceAll("-", "")).getTime();
                        long rd22 = sdf.parse(rd2).getTime();
                        if (rd22 > bd2) {
                            overDueDaySum += (int) ((rd22 - bd2) / 86400000);
                        }
                    } catch (ParseException e) {
                        Trace.logError("LifeAction", e.getMessage(), e);
                        throw new TranFailException("RZPT90006", "金融租赁逾期判断异常", false);
                    }
                }
            }
            if (overDueDaySum > 30) {
                return "1";
            }
            return "0";
        } catch (GENEException empe) {
            Trace.logError("LifeAction", empe.getMessage(), empe);
            throw new TranFailException("RZPT90006", "金融租赁逾期判断异常", false);
        }
    }

    public void setICollName(String iCollName) {
        this.iCollName = iCollName;
    }

    public void setRepaymentDate(String repaymentDate) {
        this.repaymentDate = repaymentDate;
    }

    public void setBillDate(String billDate) {
        this.billDate = billDate;
    }
}
